/**
 * Add varies heuristics classes to the html tag
 */
(function () {
    'use strict';

    if (!('addEventListener' in window)) {
        return;
    }

    var htmlElement = window.document.documentElement,
        userAgent = window.navigator.userAgent,
        htmlElementClassApi = htmlElement.classList;

        if (userAgent.match(/Android/i)) {
            htmlElementClassApi.add('android');
        } else if (userAgent.match(/iPhone|iPad|iPod/i)) {
            if (userAgent.match(/OS 7/i)) {
                htmlElementClassApi.add('ios', 'ios7');
            } else if (userAgent.match(/AppleWebKit\/600.1.4/i)) {
                htmlElementClassApi.add('ios', 'ios8');
            } else {
                htmlElementClassApi.add('ios');
            }
        }
}());
